Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class OfferAskInRows
    Inherits BaseObject

    Private _OfferAskIn As OfferAskIn
    Private _Operations As Operations
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("OfferAskIn-OfferAskInRows", GetType(OfferAskIn))> _
    Property OfferAskIn As OfferAskIn
        Get
            Return _OfferAskIn
        End Get
        Set(value As OfferAskIn)
            SetPropertyValue("OfferAskIn", _OfferAskIn, value)
        End Set
    End Property
    Property Operations As Operations
        Get
            Return _Operations
        End Get
        Set(value As Operations)
            SetPropertyValue("Operations", _Operations, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property

End Class
